Bug 441358 - texlive dvips margins wrong, due to incorrect paper size
texlive dvips margins wrong, due to incorrect paper size
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 14:24 EDT by Paul Johnson
Modified: 2013-07-02 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2008-04-07 14:24:05 EDT
Description of problem:
Postscript printing output has no top margin.  I have tested 2 machines where
dvips used to work fine.  The problem traces back to the dvips paper setting
which defaults to A4. I had it properly set by tetex, but texlive did not
inherit the setting.  

This was reported as far back as RedHat 9, AFAICT, and it has been ignored. It
is not a margin problem from CUPS, where margins print out fine.  It appears to
be confined to programs that use dvips to print.

We need some way to set the appropriate paper size in the operating system
itself and then have dvips notice that upon installation.

Version-Release number of selected component (if applicable):
texlive-utils-2007-27.fc8
texlive-2007-27.fc8
texlive-texmf-errata-dvips-2007-4.fc8
texlive-texmf-errata-fonts-2007-4.fc8
texlive-texmf-errata-xetex-2007-4.fc8
texlive-texmf-2007-17.fc8
texlive-texmf-fonts-2007-17.fc8
texlive-dviutils-2007-27.fc8
texlive-texmf-latex-2007-17.fc8
texlive-latex-2007-27.fc8
texlive-xetex-2007-27.fc8
texlive-texmf-afm-2007-17.fc8
texlive-texmf-errata-2007-4.fc8
texlive-texmf-dvips-2007-17.fc8
texlive-afm-2007-27.fc8
texlive-texmf-errata-latex-2007-4.fc8
texlive-texmf-xetex-2007-17.fc8
texlive-texmf-errata-afm-2007-4.fc8
texlive-dvips-2007-27.fc8

How reproducible:

Same problem happened with tetex.

Steps to Reproduce:
1. print
2. notice no top margin
3.
  
Actual results:

In a program like LyX, the File|print uses dvips, and the top margin is wrong.

Expected results:

Nice margin.

Here's the file where the configuration is set.

/usr/share/texmf/dvips/config/config.ps

It can be manually edited or users can run "texconfig dvips paper letter" to
create a customized config size.  In TeXLive, that DOES NOT create a system
configuration, rather it writes one in /root/.texmf/share/dvips/config.  But
root can copy it over into the /usr/share/texmf.  But I wish it would give a
warning about that, because a lot of administrators will not know.  

tetex used to give a warning about where it was writing the config file, that's
how I knew to copy out of /root/.texmf.

Additional info:  

Here is a recent report of the same problem that was closed because tetex is
becoming depricated.

https://bugzilla.redhat.com/show_bug.cgi?id=143661

This one closed the problem that was originally filed on RedHat Linux.  I don't
think it was ever fixed, just forgotten somehow.

https://bugzilla.redhat.com/show_bug.cgi?id=50660
Comment 1 Bug Zapper 2008-05-14 05:06:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:04:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:35:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.